#include <iostream>
#define  MAX 1000001
using namespace std;
int niz[MAX];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n;
    cin >> n;
    for(int i=0;i<n;i++)
    {
        cin>>niz[i];
    }
    int brejk=0;int lmao1=0,lmao2=0;
    for(int i=0;i<n;i++)
    {
        if(brejk)
            break;
        for(int j=i+1;j<n;j++)
        {
            if(niz[j]==niz[i] && lmao1!=lmao2)
            {
                lmao1=j;lmao2=i;
            }
            if(niz[j]>niz[i])
            {
                lmao1=j;lmao2=i;
                brejk=1;
            }
        }
    }
    if(lmao1==lmao2)
    {
        lmao1=n-1;
        lmao2=n-2;
    }
    int p=niz[lmao2];
    niz[lmao2]=niz[lmao1];
    niz[lmao1]=p;
    
    for(int i=0;i<n;i++)
    {
        cout<<niz[i]<<" ";
    }
    return 0;
}
/*
    
    
    
    
*/